Web Vitals

Get Web Vitals For Project

GET
/v0/project/{idOrSlug}/vitals

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Query Parameters

from?string|null
to?string|null
device?string|null
browser?string|null
os?string|null
country?string|null
route?string|null

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string/vitals"
[  {    "id": "string",    "projectId": "string",    "sessionId": "string",    "metric": "string",    "value": 0,    "label": "string",    "device": "string",    "country": "string",    "os": "string",    "browser": "string",    "url": "string",    "attributes": {},    "createdAt": "string"  }]
{  "_tag": "UnauthorizedError",  "message": "string"}
{  "_tag": "ForbiddenError",  "message": "string",  "code": "string"}
{  "_tag": "NotFoundError",  "message": "string"}